Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.assembly
Class AbstractMapBeanAssembler

    java.lang.Object
      org.mule.config.spring.parsers.assembly.DefaultBeanAssembler
          org.mule.config.spring.parsers.assembly.AbstractMapBeanAssembler

All Implemented Interfaces:
  BeanAssembler

Direct Known Subclasses:
  AttributeMapBeanAssembler, TwoStageMapBeanAssembler

    public abstract class AbstractMapBeanAssembler

extends DefaultBeanAssembler

Field Summary

Fields inherited from class org.mule.config.spring.parsers.assembly.DefaultBeanAssembler
`bean, target, targetConfig`

Constructor Summary
`AbstractMapBeanAssembler(PropertyConfiguration beanConfig, org.springframework.beans.factory.support.BeanDefinitionBuilder bean, PropertyConfiguration targetConfig, org.springframework.beans.factory.config.BeanDefinition target)`

Method Summary
`protected void` | `insertDefinitionAsMap(String oldName)`

Methods inherited from class org.mule.config.spring.parsers.assembly.DefaultBeanAssembler
`addPropertyWithoutReference, addPropertyWithReference, assertTargetPresent, bestGuessName, copyBeanToTarget, extendBean, extendBean, extendTarget, extendTarget, extendTarget, getBean, getBeanConfig, getTarget, getTargetConfig, insertBeanInTarget, insertInTarget, insertSingletonBeanInTarget, methodExists, retrieveList, setBean, setBeanFlag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractMapBeanAssembler

    public AbstractMapBeanAssembler(PropertyConfiguration beanConfig,
                                    org.springframework.beans.factory.support.BeanDefinitionBuilder bean,
                                    PropertyConfiguration targetConfig,
                                    org.springframework.beans.factory.config.BeanDefinition target)

Method Detail

### insertDefinitionAsMap

    protected void insertDefinitionAsMap(String oldName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.